Skip to main content
GET
/
api
/
products
/
List Products
curl --request GET \
  --url https://api.merchantops.ai/api/products/
{
  "items": [
    {
      "id": "<string>",
      "key": "<string>",
      "productType": {},
      "source": "<string>",
      "confidence": 123,
      "createdAt": "<string>",
      "createdBy": "<string>",
      "enrichmentScore": 123,
      "enrichmentSources": [
        "<string>"
      ],
      "errorMessage": "<string>",
      "isPublished": false,
      "job_id": "<string>",
      "labels": [
        "<string>"
      ],
      "lakehouseMatched": true,
      "lakehousePropertiesCount": 123,
      "langfuseTraceId": "<string>",
      "lastModifiedAt": "<string>",
      "lastModifiedBy": "<string>",
      "properties": {},
      "properties_metadata": {},
      "propertyCount": 0,
      "publish_chips": [
        {}
      ],
      "publish_status": "<string>",
      "scrapeWarnings": [
        {}
      ],
      "status": "<string>",
      "version": 1
    }
  ],
  "limit": 123,
  "offset": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

product_type
string | null

Filter by product type key

status
string | null

Filter by status

enrichment_status
string | null

Filter by enrichment status

publish_status
string | null

Filter by computed publish status: draft | live | changed

Pattern: ^(draft|live|changed)$
brand
string | null

Filter by brand name

is_published
boolean | null

Filter by published status

source
string | null

Filter by source

created_by
string | null

Filter by creator (user ID)

created_after
string | null

Filter by creation date (ISO 8601)

created_before
string | null

Filter by creation date (ISO 8601)

updated_after
string | null

Filter by update date (ISO 8601)

updated_before
string | null

Filter by update date (ISO 8601)

batch_key
string | null

Filter to products that have any record (any status) in the given catalog batch.

property_filter
string[] | null

Repeatable: key:value

sort_by
string | null

Sort field. One of: brand, created_at, enrichment_score, enrichment_status, key, name, product_type, updated_at

sort_dir
string
default:asc
Pattern: ^(asc|desc)$
limit
integer
default:50
Required range: 1 <= x <= 100
skip
integer
default:0
Required range: x >= 0

Cookies

stytch_session
string | null

Response

Successful Response

Response model for list of Products.

items
ProductResponse · object[]
required
limit
integer
required
offset
integer
required
total
integer
required